using System.Data;
using System.Linq;
using System;
using System.Collections.Generic;
using System.Collections;
using System.Reflection;
using System.Collections.ObjectModel;
using System.Data.SqlClient;
using System.Threading.Tasks;
using MrWu.DB;
using Server.DB.Sql;

/// <summary>
/// ADOExtensions
/// </summary>
public static partial class ADOExtensions {

    static ADOExtensions() {
        GetColumeValueMethod = typeof(ADOExtensions).GetMethod(nameof(GetColumeValue), BindingFlags.Static | BindingFlags.Public);
        var field = GameDB.Instance.GetType().GetField("mmsql", BindingFlags.Instance | BindingFlags.NonPublic);
        var mmsql = field.GetValue(GameDB.Instance) as MMSSQL;
        connectionString = mmsql.connectionString;
    }
}
